# frozen_string_literal: true

# yadecli cli
module Yade
  module Common
    module Service
      # base service
      class BaseService
        # initialize
        def initialize(client)
          @client = client
        end

        # list all
        def list
          @client.list
        end

        # get by id
        def get(id)
          @client.get(id)
        end

      end
    end
  end
end